#include <fstream>
#include <iostream>
using namespace std;
int main()
{
    int n,a[10000], s = 0 , d = 0;
    ifstream f1("demduong.inp");
    ofstream f2("demduong.out");
    f1>>n;
    //cin>>n;
    for (int i = 0; i < n ; i++)
    {
        f1>>a[i];
        //cin>>a[i];
    }
    for (int i = 0; i < n ; i++)
    {
        if (a[i] > 0) {d++; s+=a[i];}
    }
    //cout<<d<<" "<<s;
    f2<<d<<" "<<s;
    return 0;
}
